SIMPLE_RESULT = """\
=== === =====
one two three
=== === =====
1,1 1,2 1,3
2,1 2,2 2,3
3,1 3,2 3,3
4,1 4,2 4,3
=== === =====
"""

CANSAS_RESULT = (
    "+-----------+--------------------------------------+--------------+\n"
    "| SASentry  | description                          | measurements |\n"
    "+===========+======================================+==============+\n"
    "| AF1410:10 | AF1410-10 (AF1410 steel aged 10 h)   | 2            |\n"
    "+-----------+--------------------------------------+--------------+\n"
    "| AF1410:8h | AF1410-8h (AF1410 steel aged 8 h)    | 2            |\n"
    "+-----------+--------------------------------------+--------------+\n"
    "| AF1410:qu | AF1410-qu (AF1410 steel aged 0.25 h) | 2            |\n"
    "+-----------+--------------------------------------+--------------+\n"
    "| AF1410:cc | AF1410-cc (AF1410 steel aged 100 h)  | 2            |\n"
    "+-----------+--------------------------------------+--------------+\n"
    "| AF1410:2h | AF1410-2h (AF1410 steel aged 2 h)    | 2            |\n"
    "+-----------+--------------------------------------+--------------+\n"
    "| AF1410:50 | AF1410-50 (AF1410 steel aged 50 h)   | 2            |\n"
    "+-----------+--------------------------------------+--------------+\n"
    "| AF1410:20 | AF1410-20 (AF1410 steel aged 20 h)   | 1            |\n"
    "+-----------+--------------------------------------+--------------+\n"
    "| AF1410:5h | AF1410-5h (AF1410 steel aged 5 h)    | 2            |\n"
    "+-----------+--------------------------------------+--------------+\n"
    "| AF1410:1h | AF1410-1h (AF1410 steel aged 1 h)    | 2            |\n"
    "+-----------+--------------------------------------+--------------+\n"
    "| AF1410:hf | AF1410-hf (AF1410 steel aged 0.5 h)  | 2            |\n"
    "+-----------+--------------------------------------+--------------+\n"
)

# fmt: off
MINIMAL_SIMPLE_RESULT = (
    "= =\n"
    "x y\n"
    "= =\n"
    "1 2\n"
    "= =\n"
)

MINIMAL_PLAIN_RESULT = (
    "x y\n"
    "1 2\n"
)

MINIMAL_GRID_RESULT = (
    "+---+---+\n"
    "| x | y |\n"
    "+===+===+\n"
    "| 1 | 2 |\n"
    "+---+---+\n"
)

MINIMAL_MARKDOWN_RESULT = (
    "| x   | y   |\n"
    "| --- | --- |\n"
    "| 1   | 2   |\n"
)
# fmt: on

MINIMAL_LISTTABLE_RESULT = (
    ".. list-table::\n"
    "   :header-rows: 1\n"
    "   :widths: 1 1\n"
    "\n"
    "   * - x\n"
    "     - y\n"
    "   * - 1\n"
    "     - 2"
)

MINIMAL_HTML_RESULT = (
    "<table>\n"
    "  <tr>\n"
    "    <th>x</th>\n"
    "    <th>y</th>\n"
    "  </tr>\n"
    "  <tr>\n"
    "    <td>1</td>\n"
    "    <td>2</td>\n"
    "  </tr>\n"
    "</table>"
)


EXAMPLE_MINIMAL_RESULT = MINIMAL_PLAIN_RESULT + "\n"
EXAMPLE_MINIMAL_RESULT += MINIMAL_SIMPLE_RESULT + "\n"
EXAMPLE_MINIMAL_RESULT += MINIMAL_GRID_RESULT + "\n"
EXAMPLE_MINIMAL_RESULT += MINIMAL_MARKDOWN_RESULT + "\n"
EXAMPLE_MINIMAL_RESULT += MINIMAL_LISTTABLE_RESULT + "\n"
EXAMPLE_MINIMAL_RESULT += MINIMAL_HTML_RESULT


EXAMPLE_BASIC_RESULT = (
    "one two three\n"
    "1,1 1,2 1,3  \n"
    "2,1 2,2 2,3  \n"
    "3,1 3,2 3,3  \n"
    "4,1 4,2 4,3  \n"
    "\n"
    "=== === =====\n"
    "one two three\n"
    "=== === =====\n"
    "1,1 1,2 1,3  \n"
    "2,1 2,2 2,3  \n"
    "3,1 3,2 3,3  \n"
    "4,1 4,2 4,3  \n"
    "=== === =====\n"
    "\n"
    "+-----+-----+-------+\n"
    "| one | two | three |\n"
    "+=====+=====+=======+\n"
    "| 1,1 | 1,2 | 1,3   |\n"
    "+-----+-----+-------+\n"
    "| 2,1 | 2,2 | 2,3   |\n"
    "+-----+-----+-------+\n"
    "| 3,1 | 3,2 | 3,3   |\n"
    "+-----+-----+-------+\n"
    "| 4,1 | 4,2 | 4,3   |\n"
    "+-----+-----+-------+\n"
    "\n"
    "| one | two | three |\n"
    "| --- | --- | ----- |\n"
    "| 1,1 | 1,2 | 1,3   |\n"
    "| 2,1 | 2,2 | 2,3   |\n"
    "| 3,1 | 3,2 | 3,3   |\n"
    "| 4,1 | 4,2 | 4,3   |\n"
    "\n"
    ".. list-table::\n"
    "   :header-rows: 1\n"
    "   :widths: 3 3 5\n"
    "\n"
    "   * - one\n"
    "     - two\n"
    "     - three\n"
    "   * - 1,1\n"
    "     - 1,2\n"
    "     - 1,3\n"
    "   * - 2,1\n"
    "     - 2,2\n"
    "     - 2,3\n"
    "   * - 3,1\n"
    "     - 3,2\n"
    "     - 3,3\n"
    "   * - 4,1\n"
    "     - 4,2\n"
    "     - 4,3\n"
    "<table>\n"
    "  <tr>\n"
    "    <th>one</th>\n"
    "    <th>two</th>\n"
    "    <th>three</th>\n"
    "  </tr>\n"
    "  <tr>\n"
    "    <td>1,1</td>\n"
    "    <td>1,2</td>\n"
    "    <td>1,3</td>\n"
    "  </tr>\n"
    "  <tr>\n"
    "    <td>2,1</td>\n"
    "    <td>2,2</td>\n"
    "    <td>2,3</td>\n"
    "  </tr>\n"
    "  <tr>\n"
    "    <td>3,1</td>\n"
    "    <td>3,2</td>\n"
    "    <td>3,3</td>\n"
    "  </tr>\n"
    "  <tr>\n"
    "    <td>4,1</td>\n"
    "    <td>4,2</td>\n"
    "    <td>4,3</td>\n"
    "  </tr>\n"
    "</table>"
)


EXAMPLE_COMPLICATED_RESULT = """
.. tabularcolumns:: |l|L|c|r|
    :longtable:

+------------+-------------------------+--------+-------------------+
| Name       | Type                    | Units  | Description       |
| and        |                         |        | (and Occurrences) |
| Attributes |                         |        |                   |
+============+=========================+========+===================+
| one,       | buckle my               | shoe.  | ...               |
| two        |                         |        |                   |
|            |                         |        |                   |
|            |                         | three, |                   |
|            |                         | four   |                   |
+------------+-------------------------+--------+-------------------+
| class      | NX_FLOAT                |        | None              |
+------------+-------------------------+--------+-------------------+
| 0          | 1                       | 2      | 3                 |
+------------+-------------------------+--------+-------------------+
| None       | {'a': 1, 'b': 'dreamy'} | 1.234  | [0, 1, 2]         |
+------------+-------------------------+--------+-------------------+
""".strip()
